<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Get referendum data from backup — rfrnds_bkp • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Get referendum data from backup — rfrnds_bkp"><meta name="description" content="Downloads the referendum data from the Referendum Database (RDB) backup in the zdaarau/rpkgs/rdb repository. See the codebook for a detailed
description of all variables."><meta property="og:description" content="Downloads the referendum data from the Referendum Database (RDB) backup in the zdaarau/rpkgs/rdb repository. See the codebook for a detailed
description of all variables."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Get referendum data from backup</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/R/rdb.gen.R" class="external-link"><code>R/rdb.gen.R</code></a></small>
      <div class="d-none name"><code>rfrnds_bkp.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Downloads the referendum data from the Referendum Database (RDB) backup <a href="https://gitlab.com/zdaarau/rpkgs/rdb/-/blob/master/data-raw/backups/rdb.rds?ref_type=heads" class="external-link">in the <code>zdaarau/rpkgs/rdb</code> repository</a>. See the <code><a href="data_codebook.html">codebook</a></code> for a detailed
description of all variables.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">rfrnds_bkp</span><span class="op">(</span></span>
<span>  is_draft <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  incl_archive <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  use_cache <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  max_cache_age <span class="op">=</span> <span class="st">"1 week"</span>,</span>
<span>  quiet <span class="op">=</span> <span class="cn">FALSE</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-is-draft">is_draft<a class="anchor" aria-label="anchor" href="#arg-is-draft"></a></dt>
<dd><p><code>TRUE</code> means to include only referendum entries with <em>draft</em> status, <code>FALSE</code> to include only normal entries. Set to <code>NULL</code> in order to
include both draft and normal entries.</p></dd>


<dt id="arg-incl-archive">incl_archive<a class="anchor" aria-label="anchor" href="#arg-incl-archive"></a></dt>
<dd><p>Whether or not to include an <code>archive</code> column containing data from an earlier, obsolete state of the Referendum Database (RDB).</p></dd>


<dt id="arg-use-cache">use_cache<a class="anchor" aria-label="anchor" href="#arg-use-cache"></a></dt>
<dd><p>Whether or not to return cached results if possible. If <code>FALSE</code>, results are always newly fetched regardless of <code>max_cache_age</code>.</p></dd>


<dt id="arg-max-cache-age">max_cache_age<a class="anchor" aria-label="anchor" href="#arg-max-cache-age"></a></dt>
<dd><p>Duration after which cached results are refreshed (i.e. newly fetched). A valid <a href="https://lubridate.tidyverse.org/reference/as.duration.html" class="external-link">lubridate duration</a>. Use <code>Inf</code> to disable cache expiry. Only relevant if <code>use_cache = TRUE</code>.</p></dd>


<dt id="arg-quiet">quiet<a class="anchor" aria-label="anchor" href="#arg-quiet"></a></dt>
<dd><p>Whether or not to suppress printing status output from internal processing.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A <a href="https://tibble.tidyverse.org/reference/tbl_df-class.html" class="external-link">tibble</a>.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other referendum data functions:
<code><a href="add_rfrnds.html">add_rfrnds</a>()</code>,
<code><a href="assert_vars.html">assert_vars</a>()</code>,
<code><a href="count_rfrnds.html">count_rfrnds</a>()</code>,
<code><a href="delete_rfrnds.html">delete_rfrnds</a>()</code>,
<code><a href="download_file_attachment.html">download_file_attachment</a>()</code>,
<code><a href="edit_rfrnds.html">edit_rfrnds</a>()</code>,
<code><a href="rfrnd.html">rfrnd</a>()</code>,
<code><a href="rfrnd_exists.html">rfrnd_exists</a>()</code>,
<code><a href="rfrnds.html">rfrnds</a>()</code>,
<code><a href="validate_rfrnds.html">validate_rfrnds</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="co"># get all referendums (excl. drafts)</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">rfrnds_bkp</span><span class="op">(</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 17,889 × 67</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    id            id_official id_sudd country_code country_name subnational_entity_n…¹ municipality level date       is_former_country title_en title_de title_fr</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>         <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>       <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                  <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;ord&gt;</span> <span style="color: #949494; font-style: italic;">&lt;date&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 1</span> 670cd145c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Zug                    <span style="color: #BB0000;">NA</span>           subn… 2024-06-09 <span style="color: #BB0000;">NA</span>                Cycling… Velonet… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 2</span> 66fff490c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      LI           Liechtenste… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2024-09-22 <span style="color: #BB0000;">NA</span>                Referen… Referen… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 3</span> 66ffdfe3c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Jura                   <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Act con… <span style="color: #BB0000;">NA</span>       Acte re…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 4</span> 66f686cfc3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Bern                   <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Concord… Konkord… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 5</span> 66f68317c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Bern                   <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Amendme… Änderun… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 6</span> 66d6da9cc3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Basel Landschaft       <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Partial… Teilrev… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 7</span> 66cde603c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Graubünden             <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                New civ… Neubau … <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 8</span> 66c46f86c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Schwyz                 <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Approva… Ausgabe… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 9</span> 66c46cf6c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Solothurn              <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Appoint… Anstell… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">10</span> 66c46c3ac3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Solothurn              <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Amendme… Änderun… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 17,879 more rows</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ abbreviated name: ¹​subnational_entity_name</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 54 more variables: question &lt;chr&gt;, question_en &lt;chr&gt;, committee_name &lt;chr&gt;, result &lt;fct&gt;, subterritories_yes &lt;dbl&gt;, subterritories_no &lt;dbl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   electorate_total &lt;int&gt;, electorate_abroad &lt;int&gt;, votes_yes &lt;int&gt;, votes_no &lt;int&gt;, votes_empty &lt;int&gt;, votes_invalid &lt;int&gt;, votes_per_subterritory &lt;list&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   lower_house_yes &lt;int&gt;, lower_house_no &lt;int&gt;, lower_house_abstentions &lt;int&gt;, upper_house_yes &lt;int&gt;, upper_house_no &lt;int&gt;, upper_house_abstentions &lt;int&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   position_government &lt;fct&gt;, topics_tier_1 &lt;list&gt;, topics_tier_2 &lt;list&gt;, topics_tier_3 &lt;list&gt;, remarks &lt;chr&gt;, files &lt;list&gt;, sources &lt;chr&gt;, is_draft &lt;lgl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   date_time_created &lt;dttm&gt;, date_time_last_edited &lt;dttm&gt;, type &lt;fct&gt;, inst_legal_basis_type &lt;ord&gt;, inst_has_urgent_legal_basis &lt;lgl&gt;, …</span></span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

